// creator  : weidu.exe (version 23100)
// argument : SAREV25A.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SAREV25A~

IF ~Global("SarevokAlive","GLOBAL",0)
Global("TalkedToSarevok","GLOBAL",0)
InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 0 // from:
  SAY #64071 /* ~So.  You have finally arrived.  I have been waiting for you.~ [SAREVO01] */
  IF ~!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Imoen2")~ THEN REPLY #64072 /* ~Sarevok?!  Didn't I kill you for the last time in Hell?~ */ DO ~SetGlobal("TalkedToSarevok","GLOBAL",1)~ GOTO 1
  IF ~!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Imoen2")~ THEN REPLY #64074 /* ~Where am I, Sarevok?  Why have you brought me here?!~ */ DO ~SetGlobal("TalkedToSarevok","GLOBAL",1)~ GOTO 2
  IF ~IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSC25J~ 4
  IF ~IsValidForPartyDialog("Edwin")~ THEN EXTERN ~EDWIN25J~ 3
  IF ~IsValidForPartyDialog("Jaheira")~ THEN EXTERN ~JAHEI25J~ 27
  IF ~IsValidForPartyDialog("Imoen2")~ THEN EXTERN ~IMOEN25J~ 26
END

IF ~~ THEN BEGIN 1 // from: 68.0 0.0
  SAY #64236 /* ~You did, indeed... although that was no fault of mine.  It was you that summoned me, then, even if the words were my own.  I have done nothing but attempt to re-form myself, since.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 68.1 0.1
  SAY #64239 /* ~I?  I did not bring you here, fool.  It has taken me long enough to re-form since you last summoned me.  You do remember killing me, <PRO_BROTHERSISTER>, yes?~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0 1.0
  SAY #64247 /* ~As you will recall, it is your will that shapes our father's realm... whether you are aware of what you do or not.  I myself am nothing, now, but the shadow you see before you.~ */
  IF ~~ THEN REPLY #64252 /* ~Are you saying that I am in Hell once again?~ */ GOTO 4
  IF ~~ THEN REPLY #64262 /* ~That doesn't explain what you're doing here.~ */ GOTO 6
  IF ~~ THEN REPLY #64263 /* ~Well, shadow or not, I'll destroy you again!~ */ GOTO 7
END

IF ~~ THEN BEGIN 4 // from: 7.0 6.0 3.0
  SAY #64281 /* ~You... you do not know where you are, do you?  You did not come here on purpose?~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #64282 /* ~Ha ha!  What a bitter irony this is!  You who stumble about nearly blind to your true power continue to survive while I, Sarevok, am reduced to this.  Bah!  Very well, <CHARNAME>... I shall tell you where you are.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 3.1
  SAY #64286 /* ~I wish to make a deal, naturally.  I have little to lose, dear '<PRO_BROTHERSISTER>'... and plenty to gain.  As do you.  And I have waited in your home a considerable time to parley with you.~ */
  IF ~~ THEN REPLY #64288 /* ~My home?  What are you talking about?~ */ GOTO 4
  IF ~~ THEN REPLY #64290 /* ~Forget it, Sarevok.  I've no intention of dealing with you.~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.1 3.2
  SAY #64293 /* ~You cannot destroy me, <CHARNAME>, as I am nothing but a shade.  And I wager you don't possess the power to force me to leave your home.~ */
  IF ~~ THEN REPLY #64294 /* ~What do you mean, 'home'?  I don't live here!~ */ GOTO 4
END

IF ~~ THEN BEGIN 8 // from: 5.0
  SAY #64296 /* ~You are within our father's abyssal realm, <PRO_BROTHERSISTER>.  That plane once ruled by Bhaal and now shaped by the taint present in your soul... but no longer present in mine.  You have been here before.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #64299 /* ~This is a... a cocoon, of sorts.  A miniature version of our father's larger realm, sort of a plane-within-a-plane.  I assumed your mind formed it to protect you from the power of this place.  Rather ingenious, dear <PRO_BROTHERSISTER>... I wouldn't have thought you'd had it in you.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #64300 /* ~Regardless, I spotted it forming and guessed at its purpose.  So I came here and waited, knowing that eventually you would come... and that then we could discuss my... deal.~ */
  IF ~!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Nalia")
!IsValidForPartyDialog("Korgan")~ THEN REPLY #64306 /* ~What kind of deal?  What could *you* want?~ */ GOTO 14
  IF ~!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Nalia")
!IsValidForPartyDialog("Korgan")~ THEN REPLY #64307 /* ~Tell me how to get out of here... that's all I want to know.~ */ GOTO 12
  IF ~IsValidForPartyDialog("Jan")~ THEN EXTERN ~JAN25J~ 15
  IF ~IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIA25J~ 6
  IF ~IsValidForPartyDialog("Korgan")~ THEN EXTERN ~KORGA25J~ 7
END

IF ~~ THEN BEGIN 11 // from: 19.6 13.1
  SAY #64311 /* ~Meander about, then.  Search for your way out, if you must.  You'll be back.~ */
  IF ~~ THEN JOURNAL #73855 /* ~Sarevok in Hell: Part 2

An angel has brought me back to the Abyss to inform me, as far as I can tell, that my destiny as a Bhaalspawn is about to come to fruition.  But I am not quite ready, it seems.  My mind is not prepared to accept all the power of Bhaal's realm... and so it has created a demiplane of my very own, a cocoon by her description, in which I will have to prepare myself.

There's no obvious way out... it's not a very large place.  And already uninvited guests from the neighborhood are showing up.  My old enemy Sarevok, like a bad penny, turned up with a proposal... he will tell me how to get out of the demiplane, and whatever else he knows and is holding back, in return for the smallest slice of my soul to restore him to some semblance of life.  I don't know how prepared I am to do that... I've had enough soul exchanges to last me several lifetimes.  Perhaps I can find a way out on my own, we shall see.~ */ FLAGS 128 EXIT
END

IF ~~ THEN BEGIN 12 // from: 10.1
  SAY #64329 /* ~And where would you go?  This is not a building, dear <PRO_BROTHERSISTER>, this is the *entire* plane.  And unless you've acquired plane-traveling abilities since last we met, there is only one way out of here.~ */
  IF ~~ THEN GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #64337 /* ~I know what it is, but you do not.  Nor, I suspect, do you have the time or patience to learn on your own.  Accept my proposal, <CHARNAME>, and I will tell you.~ */
  IF ~~ THEN REPLY #64339 /* ~Tell me your proposal, then.  What do you want?~ */ GOTO 14
  IF ~~ THEN REPLY #64341 /* ~Forget it.  I will find my own way out.~ */ GOTO 11
END

IF ~~ THEN BEGIN 14 // from: 37.0 13.0 10.0
  SAY #64385 /* ~What do you think I would want, dear <PRO_BROTHERSISTER>?  I wish to exist... I wish to be alive again.  You can do that.~ */
  IF ~~ THEN DO ~SetGlobal("SarevokToldProposal","GLOBAL",1)~ GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #64388 /* ~The smallest fraction of your soul, my <PRO_BROTHERSISTER>... given freely, with the taint of our dead father within it.  That would recreate my flesh, restore my mortality... Sarevok would live again!~ */
  IF ~~ THEN REPLY #64389 /* ~And what would I be getting in return for this?~ */ GOTO 17
  IF ~~ THEN REPLY #64393 /* ~I killed you once before... what makes you think I would want to return you to life?~ */ GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.1
  SAY #64399 /* ~I do not come to the table empty-handed, <CHARNAME>.  You think me a fool?  You are stronger than me... I do not contest that.  But I can help you.  And that has its price.~ */
  IF ~~ THEN REPLY #64405 /* ~And just how is it that you can help me?~ */ GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.0 15.0
  SAY #64407 /* ~There is the knowledge of how to leave this plane of yours, <CHARNAME>.  That is one thing I can give you, although I did not know that when I came here.~ */
  IF ~~ THEN GOTO 18
END

IF ~~ THEN BEGIN 18 // from: 17.0
  SAY #64409 /* ~No, what I offer you is knowledge that is much more relevant.  Something that dates back to my mortal days when I was gaining power within the Iron Throne.  Something that you will find... most intriguing.~ */
  IF ~~ THEN GOTO 67
END

IF ~~ THEN BEGIN 19 // from: 67.0 25.0 24.0 23.0 21.0 20.0
  SAY #64412 /* ~What say you?~ */
  IF ~~ THEN REPLY #64413 /* ~And just how did you come by this supposed knowledge?~ */ GOTO 20
  IF ~~ THEN REPLY #64414 /* ~Knowledge?  That's all you're offering for a piece of my soul?~ */ GOTO 21
  IF ~~ THEN REPLY #64415 /* ~Uh-huh.  And what's to stop me from just killing you again after you tell me all this?~ */ GOTO 22
  IF ~~ THEN REPLY #64416 /* ~Tell me now and I'll judge whether your information is worth it.~ */ GOTO 24
  IF ~InParty("Imoen2")
!Dead("Imoen2")
Global("ImoenGiveSoul","GLOBAL",0)~ THEN REPLY #64417 /* ~Is there no other way of restoring you?~ */ GOTO 26
  IF ~OR(3)
!InParty("Imoen2")
Dead("Imoen2")
GlobalGT("ImoenGiveSoul","GLOBAL",0)~ THEN REPLY #64418 /* ~Is there no other way of restoring you?~ */ GOTO 31
  IF ~~ THEN REPLY #64419 /* ~Forget it, Sarevok.  There is no way I'm trusting you.~ */ GOTO 11
  IF ~~ THEN REPLY #66353 /* ~And just what do you intend to do with your... new life?~ */ GOTO 25
  IF ~~ THEN REPLY #71037 /* ~Very well, I agree to your demands.~ */ GOTO 33
END

IF ~~ THEN BEGIN 20 // from: 37.4 19.0
  SAY #64422 /* ~I gathered much of the old lore when I was alive, my <PRO_BROTHERSISTER>.  As you will recall, it was my goal to assume the mantle of our father.  I am dead, perhaps, but the lore still holds true... for you.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 21 // from: 37.5 19.1
  SAY #64439 /* ~Bah!  Knowledge is more important than *anything*, fool.  And what I ask for is but a spark... a spark of the divine taint within you.  I will be no Bhaalspawn, my own taint long gone... but I will be alive again.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 22 // from: 37.6 19.2
  SAY #64491 /* ~Nothing, perhaps.  Doing so would not return to you that which you freely gave, however.~ */
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #64493 /* ~And what would you kill me for?  Revenge?  You had your revenge.  Do you truly blame my old ambition?  I would do the same again, if I could.  I cannot, however, and you've nothing to fear in me.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 24 // from: 37.7 19.3
  SAY #64523 /* ~I am no fool.  I struggled just to get here after you destroyed me last, and I know that events move on even as we speak.  You have no time to learn these things on your own... and I will never get another opportunity such as this.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 25 // from: 19.7
  SAY #64535 /* ~I... do not know.  Avoid crossing you, dear <PRO_BROTHERSISTER>, certainly that.  My ambition was everything, once.  Now that the taint is gone, I... am unsure.  But I wish to live.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 26 // from: 37.8 19.4
  SAY #64546 /* ~Perhaps there is.  Any divine spark will do, no matter which of Bhaal's children it comes from.  I truly doubt our other dear little sibling, here, has half the courage required, however.~ */
  IF ~~ THEN DO ~SetGlobal("ImoenGiveSoul","GLOBAL",1)~ EXTERN ~IMOEN25J~ 0
END

IF ~~ THEN BEGIN 27 // from:
  SAY #64548 /* ~Figured that out all on your own, did you?  While the thought of harboring a spark of your sugary sweet soul for eternity does not exactly fill me with joy... yes, it would provide just as well.~ */
  IF ~~ THEN EXTERN ~IMOEN25J~ 1
END

IF ~~ THEN BEGIN 28 // from:
  SAY #64550 /* ~I killed far more than he, dear Imoen, in the course of my ambition.  Ask yourself how many you have killed... or <CHARNAME>.  Are you so innocent?  Was Gorion?  I ask for no forgiveness.~ */
  IF ~~ THEN EXTERN ~IMOEN25J~ 2
END

IF ~~ THEN BEGIN 29 // from: 37.2 31.0
  SAY #64577 /* ~Ah, so <CHARNAME> finds someone to take the blow for <PRO_HIMHER>.  Are you sure, child?  You cannot turn about later and claim <CHARNAME> was using you.  It must be of your own free will.~ */
  IF ~~ THEN EXTERN ~IMOEN25J~ 3
END

IF ~~ THEN BEGIN 30 // from:
  SAY #64582 /* ~With a spark of you within me, I have little doubt I'll be prancing gaily through flower fields before the season is over.  Regardless, I'll take that as a yes.~ */
  IF ~~ THEN DO ~SetGlobal("ImoenGiveSoul","GLOBAL",2)
SetGlobal("SarevokAlive","GLOBAL",1)
StartCutSceneMode()
StartCutScene("Cut206b")~ EXIT
END

IF ~~ THEN BEGIN 31 // from: 37.9 19.5
  SAY #64592 /* ~There is no other way, <CHARNAME>, unless you have another Bhaalspawn about that I am unaware of.  It is your spark or nothing.  Choose.~ */
  IF ~InParty("Imoen2")
!Dead("Imoen2")
Global("ImoenGiveSoul","GLOBAL",1)~ THEN REPLY #64614 /* ~Very well.  Then I suppose I will allow Imoen to do it.~ */ GOTO 29
  IF ~~ THEN REPLY #64617 /* ~So be it.  I agree.~ */ GOTO 33
  IF ~~ THEN REPLY #64620 /* ~I have not decided, yet.~ */ GOTO 32
  IF ~~ THEN REPLY #64622 /* ~Forget it.  I don't trust you.~ */ GOTO 32
END

IF ~~ THEN BEGIN 32 // from: 37.1 31.3 31.2
  SAY #64623 /* ~As you wish.  By all means, stroll about and examine what you will of your domain.  Time passes and events move with them.  I'm sure it will not take long even for you to realize the truth.~ */
  IF ~~ THEN JOURNAL #73855 /* ~Sarevok in Hell: Part 2

An angel has brought me back to the Abyss to inform me, as far as I can tell, that my destiny as a Bhaalspawn is about to come to fruition.  But I am not quite ready, it seems.  My mind is not prepared to accept all the power of Bhaal's realm... and so it has created a demiplane of my very own, a cocoon by her description, in which I will have to prepare myself.

There's no obvious way out... it's not a very large place.  And already uninvited guests from the neighborhood are showing up.  My old enemy Sarevok, like a bad penny, turned up with a proposal... he will tell me how to get out of the demiplane, and whatever else he knows and is holding back, in return for the smallest slice of my soul to restore him to some semblance of life.  I don't know how prepared I am to do that... I've had enough soul exchanges to last me several lifetimes.  Perhaps I can find a way out on my own, we shall see.~ */ FLAGS 128 EXIT
END

IF ~~ THEN BEGIN 33 // from: 37.3 31.1 19.8
  SAY #64627 /* ~So I have cheated death!  Thank you, dear <PRO_BROTHERSISTER>... no gift could please me more.~ */
  IF ~~ THEN DO ~SetGlobal("SarevokAlive","GLOBAL",1)
StartCutSceneMode()
StartCutScene("Cut206a")~ EXIT
END

IF ~Global("SarevokAlive","GLOBAL",0)
!InPartySlot(LastTalkedToBy,0)
!Name("Imoen",LastTalkedToBy)~ THEN BEGIN 34 // from:
  SAY #64635 /* ~Begone.  I wish to speak to <CHARNAME> only, and not one of <PRO_HISHER> hapless minions.  You can do nothing for me.~ */
  IF ~~ THEN EXIT
END

IF ~Global("SarevokAlive","GLOBAL",0)
!InPartySlot(LastTalkedToBy,0)
Name("Imoen",LastTalkedToBy)~ THEN BEGIN 35 // from:
  SAY #64638 /* ~Well, if it isn't my dear little sister.  Tell me, little one... are you still prancing about, pretending that you are a thief?  Do you think yourself worthy of carrying Bhaal's blood in your veins?~ [SAREVO74] */
  IF ~~ THEN EXTERN ~IMOEN25J~ 5
END

IF ~~ THEN BEGIN 36 // from:
  SAY #64652 /* ~Oh?  I wouldn't know about that.  Spend your time in the Abyss, girl, dead and destroyed... and we'll see just what sorts of dreams you have then.  I'd wager you'd wilt like a flower in the heat.~ */
  IF ~~ THEN EXTERN ~IMOEN25J~ 6
END

IF ~Global("SarevokAlive","GLOBAL",0)
Global("TalkedToSarevok","GLOBAL",1)
InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 37 // from:
  SAY #64660 /* ~So?  Have you discovered your way out, yet, <PRO_BROTHERSISTER>?  Have you figured out everything you wish, or have you decided to listen to reason?~ */
  IF ~Global("SarevokToldProposal","GLOBAL",0)~ THEN REPLY #64663 /* ~I'll listen to your proposal, Sarevok.  Tell me what it is you want.~ */ GOTO 14
  IF ~~ THEN REPLY #64667 /* ~I'm not finished looking around, yet.~ */ GOTO 32
  IF ~Global("SarevokToldProposal","GLOBAL",1)
Global("ImoenGiveSoul","GLOBAL",1)~ THEN REPLY #64669 /* ~I've decided that we will do as you ask.  Imoen will restore you to life.~ */ GOTO 29
  IF ~Global("SarevokToldProposal","GLOBAL",1)~ THEN REPLY #64670 /* ~I've decided that I will do as you ask, Sarevok.  I will restore you.~ */ GOTO 33
  IF ~Global("SarevokToldProposal","GLOBAL",1)~ THEN REPLY #64674 /* ~I'd like to know first how you came by this knowledge of yours.~ */ GOTO 20
  IF ~Global("SarevokToldProposal","GLOBAL",1)~ THEN REPLY #64679 /* ~I don't know how willing I am to give up part of my soul for some information.~ */ GOTO 21
  IF ~Global("SarevokToldProposal","GLOBAL",1)~ THEN REPLY #64681 /* ~And what's to stop me from just killing you again after you tell me what you know?~ */ GOTO 22
  IF ~Global("SarevokToldProposal","GLOBAL",1)~ THEN REPLY #64683 /* ~Tell me now and I'll judge whether your information is worth it.~ */ GOTO 24
  IF ~Global("SarevokToldProposal","GLOBAL",1)
InParty("Imoen2")
!Dead("Imoen2")
Global("ImoenGiveSoul","GLOBAL",0)~ THEN REPLY #64684 /* ~Is there no other way to restore you?~ */ GOTO 26
  IF ~Global("SarevokToldProposal","GLOBAL",1)
OR(3)
!InParty("Imoen2")
Dead("Imoen2")
Global("ImoenGiveSoul","GLOBAL",1)~ THEN REPLY #64685 /* ~Is there no other way to restore you?~ */ GOTO 31
END

IF ~Global("SarevokAlive","GLOBAL",1)~ THEN BEGIN 38 // from:
  SAY #64690 /* ~I... live!  Flesh and blood and bone!  I am alive!  Hahahahaha!  I swore I would scratch and crawl my way back into the world of the living... and I have done it!~ [SAREVO76] */
  IF ~True()~ THEN DO ~SetGlobal("SarevokAlive","GLOBAL",2)~ GOTO 39
  IF ~IsValidForPartyDialog("Viconia")~ THEN DO ~SetGlobal("SarevokAlive","GLOBAL",2)~ EXTERN ~VICON25J~ 24
  IF ~IsValidForPartyDialog("Jaheira")~ THEN DO ~SetGlobal("SarevokAlive","GLOBAL",2)~ EXTERN ~JAHEI25J~ 28
  IF ~IsValidForPartyDialog("Anomen")~ THEN DO ~SetGlobal("SarevokAlive","GLOBAL",2)~ EXTERN ~ANOME25J~ 23
END

IF ~~ THEN BEGIN 39 // from: 38.0
  SAY #64692 /* ~Though my sword and armor have not appeared.  No matter.  Without the Bhaal essence to channel their powers, they are of little use.  I shall make do without them, as I once did.  Thank you, <CHARNAME>.  I am pleased.~ */
  IF ~Global("ImoenGiveSoul","GLOBAL",2)~ THEN REPLY #64693 /* ~Don't thank me.  Thank Imoen.~ */ GOTO 40
  IF ~GlobalLT("ImoenGiveSoul","GLOBAL",2)~ THEN REPLY #64701 /* ~That's odd... I don't feel any different.~ */ GOTO 41
  IF ~~ THEN REPLY #64702 /* ~I held up my side of the bargain, Sarevok.  Now tell me what you know.~ */ GOTO 43
  IF ~~ THEN REPLY #64703 /* ~Whatever.  Now spill it or we start round three, you understand?~ */ GOTO 43
END

IF ~~ THEN BEGIN 40 // from: 39.0
  SAY #64704 /* ~Certainly.  Thank you, little sister.  While it must gall you to no end, I shall treasure your tiny spark within me.~ */
  IF ~~ THEN EXTERN ~IMOEN25J~ 7
END

IF ~~ THEN BEGIN 41 // from: 39.1
  SAY #64706 /* ~Did I not say it was only an insignificant portion?  I suspected that doing it here, in this place, it might work... but I was not sure.  It is good to see that I was correct after all.~ */
  IF ~True()~ THEN REPLY #64707 /* ~You weren't *sure*?  That was quite a risk.~ */ GOTO 42
  IF ~IsValidForPartyDialog("Imoen2")~ THEN EXTERN ~IMOEN25J~ 8
  IF ~IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Imoen2")
Global("JaheiraRomanceActive","GLOBAL",2)~ THEN EXTERN ~JAHEI25J~ 29
  IF ~IsValidForPartyDialog("Anomen")
!IsValidForPartyDialog("Imoen2")
Global("AnomenRomanceActive","GLOBAL",2)~ THEN EXTERN ~ANOME25J~ 24
  IF ~IsValidForPartyDialog("Aerie")
!IsValidForPartyDialog("Imoen2")
Global("AerieRomanceActive","GLOBAL",2)~ THEN EXTERN ~AERIE25J~ 24
  IF ~IsValidForPartyDialog("Viconia")
!IsValidForPartyDialog("Imoen2")
Global("ViconiaRomanceActive","GLOBAL",2)~ THEN EXTERN ~VICON25J~ 25
END

IF ~~ THEN BEGIN 42 // from: 41.0
  SAY #64710 /* ~I did not get to where I did in life without risk, fool.  It was no bluff... I knew enough to suspect that it might work, since our heritage was the same.  But none of that is important.  I imagine you are eager to hear what I have to say.~ */
  IF ~~ THEN GOTO 43
END

IF ~~ THEN BEGIN 43 // from: 42.0 39.3 39.2
  SAY #64711 /* ~The first thing I shall tell you of is how to leave this pocket plane that you have created.  It is an extension of your will, <CHARNAME>... it exists because you need it to exist.~ */
  IF ~~ THEN GOTO 44
END

IF ~~ THEN BEGIN 44 // from: 43.0
  SAY #64712 /* ~It is this plane which creates the portal out, but it will not take you where you wish to go.  It takes you where you need to be.  Or, perhaps, where you believe you need to be.~ */
  IF ~~ THEN GOTO 45
END

IF ~~ THEN BEGIN 45 // from: 44.0
  SAY #64714 /* ~But I cannot give you the ability to make this plane create such a portal.  There are many barred passages in this plane of yours that I know little of.  One, however, I can open... and beyond it lies what you seek.  Watch...~ */
  IF ~!Alignment(Player1,MASK_EVIL)
!ReputationLT(Player1,8)~ THEN DO ~SetGlobal("SarevokAlive","GLOBAL",3)
EraseJournalEntry(73855)
StartCutSceneMode()
StartCutScene("cut206c")~ EXIT
  IF ~OR(2)
Alignment(Player1,MASK_EVIL)
ReputationLT(Player1,8)
~ THEN DO ~SetGlobal("SarevokAlive","GLOBAL",3)
EraseJournalEntry(73855)
StartCutSceneMode()
StartCutScene("cut206d")~ EXIT
END

IF ~Global("SarevokAlive","GLOBAL",3)~ THEN BEGIN 46 // from:
  SAY #64715 /* ~Enter that room and face your challenge, <CHARNAME>.  It will be difficult... you may not want to do it alone.  There is a... spirit... here which can summon those companions you require for your party, if you require such.~ */
  IF ~~ THEN DO ~SetGlobal("SarevokAlive","GLOBAL",4)~ GOTO 70
END

IF ~~ THEN BEGIN 47 // from: 70.0
  SAY #64750 /* ~In my youth, I spent much of my time looking into the old lore of the dead Bhaal priesthood.  I unearthed one of the old prophecies from an uncooperative sect of Cyric... one that spoke extensively of this time now upon us.~ [SAREVO78] */
  IF ~~ THEN GOTO 48
END

IF ~~ THEN BEGIN 48 // from: 47.0
  SAY #64755 /* ~The Sword Coast will run red with blood, yes... but the battles will culminate in a great struggle within a city to the south, the Tethyrian city of Saradush.~ [SAREVO79] */
  IF ~~ THEN JOURNAL #73856 /* ~Sarevok in Hell: Part 2

An angel brought me back to the Abyss to inform me that my destiny as a Bhaalspawn is about to come to fruition.  But I am not quite ready, it seems.  My mind is not prepared to accept all the power of Bhaal's realm... and so it has created a demiplane of my very own, a 'cocoon' by her description, in which I will have to prepare myself.

None other than Sarevok himself turned up not moments after the angel's departure, and he had a deal in mind: in exchange for knowledge of how to leave the pocket plane as well as information on my destiny, he would be returned to life.  I had little choice but to agree.~ */ FLAGS 128 GOTO 49
END

IF ~~ THEN BEGIN 49 // from: 48.0
  SAY #64758 /* ~It is there that you *must* go, where the first step of the prophecy will unfold.  Although, naturally, you must face your challenge first.~ [SAREVO80] */
  IF ~~ THEN REPLY #64760 /* ~And then what will happen?~ */ JOURNAL #73857 /* ~The Challenges & the Fate Spirit

Sarevok informed me of two important facets of my pocket plane.

First are the challenges.  I am not certain what form these will take, but there are five corridors that lead off from the main room, and somehow I am sure that they will open up as I am ready to face what is beyond.  Sarevok implied that the challenges might be very difficult, and that I may want to consider acquiring back-up.

Which leads me to the 'fate spirit'.  I am not sure how this spirit does what it does, but it seems I have some control over people whose fate is intertwined with my own.  The fate spirit will summon companions for me... Baalors, but possible friends.  To talk to the spirit, I need only interact with it near the 'entrance' to the plane.~ */ FLAGS 128 GOTO 50
  IF ~~ THEN REPLY #64761 /* ~How do I know I can trust what you say?~ */ JOURNAL #73857 /* ~The Challenges & the Fate Spirit

Sarevok informed me of two important facets of my pocket plane.

First are the challenges.  I am not certain what form these will take, but there are five corridors that lead off from the main room, and somehow I am sure that they will open up as I am ready to face what is beyond.  Sarevok implied that the challenges might be very difficult, and that I may want to consider acquiring back-up.

Which leads me to the 'fate spirit'.  I am not sure how this spirit does what it does, but it seems I have some control over people whose fate is intertwined with my own.  The fate spirit will summon companions for me... Baalors, but possible friends.  To talk to the spirit, I need only interact with it near the 'entrance' to the plane.~ */ FLAGS 128 GOTO 52
  IF ~~ THEN REPLY #64763 /* ~Then I shall take my challenge now.~ */ JOURNAL #73857 /* ~The Challenges & the Fate Spirit

Sarevok informed me of two important facets of my pocket plane.

First are the challenges.  I am not certain what form these will take, but there are five corridors that lead off from the main room, and somehow I am sure that they will open up as I am ready to face what is beyond.  Sarevok implied that the challenges might be very difficult, and that I may want to consider acquiring back-up.

Which leads me to the 'fate spirit'.  I am not sure how this spirit does what it does, but it seems I have some control over people whose fate is intertwined with my own.  The fate spirit will summon companions for me... Baalors, but possible friends.  To talk to the spirit, I need only interact with it near the 'entrance' to the plane.~ */ FLAGS 128 GOTO 53
  IF ~~ THEN REPLY #64764 /* ~Aren't you still a Child of Bhaal?~ */ JOURNAL #73857 /* ~The Challenges & the Fate Spirit

Sarevok informed me of two important facets of my pocket plane.

First are the challenges.  I am not certain what form these will take, but there are five corridors that lead off from the main room, and somehow I am sure that they will open up as I am ready to face what is beyond.  Sarevok implied that the challenges might be very difficult, and that I may want to consider acquiring back-up.

Which leads me to the 'fate spirit'.  I am not sure how this spirit does what it does, but it seems I have some control over people whose fate is intertwined with my own.  The fate spirit will summon companions for me... Baalors, but possible friends.  To talk to the spirit, I need only interact with it near the 'entrance' to the plane.~ */ FLAGS 128 GOTO 51
END

IF ~~ THEN BEGIN 50 // from: 51.0 49.0
  SAY #64767 /* ~Then the future begins.  Then we will all see just how much of a role you are to play in this conflict and if you can live up to our sire's heritage.~ */
  IF ~~ THEN REPLY #64769 /* ~How do I know I can trust what you say?~ */ GOTO 52
  IF ~~ THEN REPLY #64770 /* ~Then I shall go there now.~ */ GOTO 53
  IF ~~ THEN REPLY #64771 /* ~So are you still a Child of Bhaal or not?~ */ GOTO 51
  IF ~~ THEN REPLY #64772 /* ~Fine.  I've heard enough.~ */ GOTO 53
END

IF ~~ THEN BEGIN 51 // from: 50.2 49.3
  SAY #64773 /* ~No.  Bhaal's essence left me as I died... and that which has been given to me now maintains my mortality only.  Some might still consider me a Bhaalspawn, but it is solely a matter of history and memory.~ */
  IF ~~ THEN REPLY #64775 /* ~So what will happen after I go to Saradush?~ */ GOTO 50
  IF ~~ THEN REPLY #64776 /* ~How do I know I can trust what you say?~ */ GOTO 52
  IF ~~ THEN REPLY #64777 /* ~Then I shall go to take my challenge now.~ */ GOTO 53
  IF ~~ THEN REPLY #64779 /* ~Fine.  I've heard enough.~ */ GOTO 53
END

IF ~~ THEN BEGIN 52 // from: 51.1 50.0 49.1
  SAY #64781 /* ~Of course you cannot trust me.  Why would you?  Take me with you, <CHARNAME>.~ */
  IF ~!IsValidForPartyDialog("Imoen2")~ THEN REPLY #64783 /* ~What?!~ */ GOTO 54
  IF ~IsValidForPartyDialog("Imoen2")~ THEN EXTERN ~IMOEN25J~ 9
END

IF ~~ THEN BEGIN 53 // from: 51.3 51.2 50.3 50.1 49.2
  SAY #64782 /* ~Before you go, I have one more thing to ask of you, <CHARNAME>.  Take me with you.~ */
  IF ~!IsValidForPartyDialog("Imoen2")~ THEN REPLY #64784 /* ~What?!~ */ GOTO 54
  IF ~IsValidForPartyDialog("Imoen2")~ THEN EXTERN ~IMOEN25J~ 9
END

IF ~~ THEN BEGIN 54 // from: 53.0 52.0
  SAY #64788 /* ~I once was sure that the old prophecies centered around me.  Even if that is no longer the case, I know more about them than perhaps anyone.  I can help you, <CHARNAME>.  With the challenge in that room and more.~ */
  IF ~~ THEN GOTO 55
END

IF ~~ THEN BEGIN 55 // from: 54.0
  SAY #64789 /* ~Of course, I do this for no selfless reason.  There is power in your wake, <CHARNAME>. I am sure I am not the first to tell you this.  And there is no better opportunity for me elsewhere.~ */
  IF ~~ THEN GOTO 56
END

IF ~~ THEN BEGIN 56 // from: 55.0
  SAY #64790 /* ~Besides... you defeated me long ago.  You have earned my respect. Think of it, <CHARNAME>!  Brother and <PRO_BROTHERSISTER>, side by side!~ */
  IF ~~ THEN REPLY #64792 /* ~Forget it.  You're not my brother and I would never trust you at my back.~ */ GOTO 57
  IF ~~ THEN REPLY #64793 /* ~And what use might you be to me?~ */ GOTO 58
  IF ~~ THEN REPLY #64794 /* ~I might consider letting you join me... but you'd have to do exactly what I say.~ */ GOTO 59
  IF ~NumInParty(6)~ THEN REPLY #64795 /* ~I don't have room for you in my party, even if I wanted to take you.~ */ GOTO 60
END

IF ~~ THEN BEGIN 57 // from: 62.3 62.2 60.2 60.0 59.0 58.0 56.0
  SAY #64799 /* ~I see.  So be it.  Our business is finished then, <CHARNAME>.  You have what you need and so do I.  Gather your companions for your challenge and be off.  May we not meet again.~ */
  IF ~~ THEN DO ~DialogInterrupt(FALSE)
ReallyForceSpell(Myself,DRYAD_TELEPORT)~ UNSOLVED_JOURNAL #73858 /* ~Destiny's Next Stop

According to Sarevok, the place I need to go next is the Tethyrian city of Saradush.  I may not have much of a choice, either... this pocket plane isn't a simple portal that takes me where I want to go.  It takes me where I need to be.~ */ EXIT
END

IF ~~ THEN BEGIN 58 // from: 56.1
  SAY #64801 /* ~Aside from the knowledge I retain, I am a warrior of no small ability.  You fought me, <CHARNAME>, you would know.  I have only become stronger from my time in Hell.  Under one such as you, I could be greater, still.~ */
  IF ~~ THEN REPLY #64802 /* ~Without your armor and your divine power, you're less than useless to me.  Begone.~ */ GOTO 57
  IF ~~ THEN REPLY #64804 /* ~And how would I know that you wouldn't turn on me as soon as it suited you?~ */ GOTO 59
  IF ~NumInParty(6)~ THEN REPLY #64807 /* ~I don't have room for you in my party, even if I wanted to take you.~ */ GOTO 60
END

IF ~~ THEN BEGIN 59 // from: 60.1 58.1 56.2
  SAY #64832 /* ~I will take an oath to follow you, my <PRO_BROTHERSISTER>, if that will satisfy.  Here... in this place... such an oath would have power, like a geas.  I could not betray you.~ */
  IF ~~ THEN REPLY #64835 /* ~No, you're too willing, somehow.  I don't trust you.  Forget it.~ */ GOTO 57
  IF ~~ THEN REPLY #64836 /* ~No, there's no need for an oath.  I'm satisfied.  Join me and let's go.~ */ GOTO 61
  IF ~~ THEN REPLY #64838 /* ~Alright.  If you swear an oath not to betray me... then you may join me.~ */ DO ~SetGlobal("SarevokOath","GLOBAL",1)~ GOTO 62
  IF ~~ THEN REPLY #64839 /* ~I might return for you later.  Perhaps you can swear an oath then.~ */ GOTO 63
END

IF ~~ THEN BEGIN 60 // from: 58.2 56.3
  SAY #64842 /* ~Then leave one of your lackeys here, in your plane, for you to return when you require them.  Or leave me in this place until I am needed.  I intend on seeing what occurs with you, so I will wait.~ */
  IF ~~ THEN REPLY #64845 /* ~No, you're agreeing too easily.  I'll never trust you.  Forget it.~ */ GOTO 57
  IF ~~ THEN REPLY #64847 /* ~How would I know you wouldn't betray me at the first opportunity?~ */ GOTO 59
  IF ~~ THEN REPLY #64853 /* ~No, don't bother waiting here.  I won't let you join me, regardless.~ */ GOTO 57
END

IF ~~ THEN BEGIN 61 // from: 59.1
  SAY #64863 /* ~You... will not require an oath?  An... odd... choice, <PRO_BROTHERSISTER>.  I would have required it of you.  If I had even let you live.  As you wish, then... let us attend to your challenge.  Remember... consider that you may need more companions to complete it.~ */
  IF ~True()~ THEN DO ~JoinParty()~ UNSOLVED_JOURNAL #73858 /* ~Destiny's Next Stop

According to Sarevok, the place I need to go next is the Tethyrian city of Saradush.  I may not have much of a choice, either... this pocket plane isn't a simple portal that takes me where I want to go.  It takes me where I need to be.~ */ EXIT
  IF ~IsValidForPartyDialog("Keldorn")~ THEN DO ~JoinParty()~ UNSOLVED_JOURNAL #73858 /* ~Destiny's Next Stop

According to Sarevok, the place I need to go next is the Tethyrian city of Saradush.  I may not have much of a choice, either... this pocket plane isn't a simple portal that takes me where I want to go.  It takes me where I need to be.~ */ EXTERN ~KELDO25J~ 5
  IF ~IsValidForPartyDialog("HaerDalis")~ THEN DO ~JoinParty()~ UNSOLVED_JOURNAL #73858 /* ~Destiny's Next Stop

According to Sarevok, the place I need to go next is the Tethyrian city of Saradush.  I may not have much of a choice, either... this pocket plane isn't a simple portal that takes me where I want to go.  It takes me where I need to be.~ */ EXTERN ~HAERD25J~ 6
  IF ~IsValidForPartyDialog("Jaheira")~ THEN DO ~JoinParty()~ UNSOLVED_JOURNAL #73858 /* ~Destiny's Next Stop

According to Sarevok, the place I need to go next is the Tethyrian city of Saradush.  I may not have much of a choice, either... this pocket plane isn't a simple portal that takes me where I want to go.  It takes me where I need to be.~ */ EXTERN ~JAHEI25J~ 30
  IF ~IsValidForPartyDialog("Valygar")~ THEN DO ~JoinParty()~ UNSOLVED_JOURNAL #73858 /* ~Destiny's Next Stop

According to Sarevok, the place I need to go next is the Tethyrian city of Saradush.  I may not have much of a choice, either... this pocket plane isn't a simple portal that takes me where I want to go.  It takes me where I need to be.~ */ EXTERN ~VALYG25J~ 15
END

IF ~~ THEN BEGIN 62 // from: 65.1 59.2
  SAY #64868 /* ~Very well.  I, Sarevok, swear on the bitter ashes of my mother and the dead god that is my father, in the name of vengeance and the bitter bile that is my blood... I swear that I shall not betray <CHARNAME> so long as I live.~ */
  IF ~~ THEN REPLY #64871 /* ~Fine.  Let's go.~ */ GOTO 69
  IF ~~ THEN REPLY #64872 /* ~Good enough.  I may return for you later, then... wait here.~ */ GOTO 63
  IF ~~ THEN REPLY #64873 /* ~I don't believe a word of it.  Your word is worth nothing to me, Sarevok.~ */ GOTO 57
  IF ~~ THEN REPLY #64874 /* ~Good!  Now it will be even easier to kill you a third time!~ */ GOTO 57
END

IF ~~ THEN BEGIN 63 // from: 65.2 62.1 59.3
  SAY #64876 /* ~As you wish.  I shall wait for your return, <CHARNAME>.  Remember... the challenge may be difficult.  Consider summoning companions to your side.~ */
  IF ~~ THEN DO ~MoveToPointNoInterrupt([2460.1744])
Face(0)~ UNSOLVED_JOURNAL #73858 /* ~Destiny's Next Stop

According to Sarevok, the place I need to go next is the Tethyrian city of Saradush.  I may not have much of a choice, either... this pocket plane isn't a simple portal that takes me where I want to go.  It takes me where I need to be.~ */ EXIT
END

IF ~GlobalGT("SarevokAlive","GLOBAL",0)
Global("SarevokAttacked","LOCALS",1)~ THEN BEGIN 64 // from:
  SAY #64878 /* ~You turn your hand against me?  I should have expected as much.  I would do the same.  I know how to leave this place on my own, however... may we not meet again, dear <PRO_BROTHERSISTER>.~ */
  IF ~~ THEN DO ~ForceSpell(Myself,DRYAD_TELEPORT)~ EXIT
END

IF ~Global("SarevokAlive","GLOBAL",4)
InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 65 // from:
  SAY #64879 /* ~Do you require my sword again?  It is ready to kill at your command.~ [SAREVO81] */
  IF ~~ THEN REPLY #64880 /* ~Yes, join with me now.~ */ DO ~JoinParty()~ EXIT
  IF ~Global("SarevokOath","GLOBAL",0)~ THEN REPLY #64881 /* ~I think I will require an oath of loyalty from you, if I am to trust you.~ */ DO ~SetGlobal("SarevokOath","GLOBAL",1)~ GOTO 62
  IF ~~ THEN REPLY #64882 /* ~No, continue waiting here.  I'll come back.~ */ GOTO 63
END

IF ~Global("SarevokAlive","GLOBAL",4)
!InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 66 // from:
  SAY #64895 /* ~Begone.  I have nothing to say to you.  My business lies with <CHARNAME> only.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 67 // from: 18.0
  SAY #66350 /* ~I know where your destiny lies, <CHARNAME>.  I know where you must go to find it.  Search about on your own and it will soon be too late... the time of the old prophecies is upon us.  Or upon *you*, at least.~ */
  IF ~~ THEN GOTO 19
END

IF ~~ THEN BEGIN 68 // from:
  SAY #70445 /* ~Silence.  I have waited for <CHARNAME> and my words are for <PRO_HIMHER> only.~ */
  IF ~~ THEN REPLY #70446 /* ~Sarevok?!  Didn't I kill you for the last time in Hell?~ */ DO ~SetGlobal("TalkedToSarevok","GLOBAL",1)~ GOTO 1
  IF ~~ THEN REPLY #70447 /* ~Where am I, Sarevok?  Why have you brought me here?!~ */ DO ~SetGlobal("TalkedToSarevok","GLOBAL",1)~ GOTO 2
END

IF ~~ THEN BEGIN 69 // from: 62.0
  SAY #70488 /* ~Aye, as you wish, my <PRO_BROTHERSISTER>.  Remember... the challenge must be faced in that cavern.  You may need to summon more aid from the spirit.~ */
  IF ~True()~ THEN DO ~JoinParty()~ EXIT
  IF ~IsValidForPartyDialog("Mazzy")~ THEN DO ~JoinParty()~ EXTERN ~MAZZY25J~ 4
  IF ~IsValidForPartyDialog("Edwin")~ THEN DO ~JoinParty()~ EXTERN ~EDWIN25J~ 4
  IF ~IsValidForPartyDialog("Cernd")~ THEN DO ~JoinParty()~ EXTERN ~CERND25J~ 5
  IF ~IsValidForPartyDialog("Nalia")~ THEN DO ~JoinParty()~ EXTERN ~NALIA25J~ 7
END

IF ~~ THEN BEGIN 70 // from: 46.0
  SAY #71109 /* ~Regardless, once you have completed that challenge, you will be able to leave this plane of yours.  It does not, however, take you where you wish to go... it takes you where you need to be.  And I, as I said, know where that is.~ */
  IF ~~ THEN GOTO 47
END
